Subscribe to Webhook

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/homespotter/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "HomeSpotter MCP server": {
    "url": "https://apidocs.lwolf.com/doc/homespotter/mcp"
  }
}

Close
POST /zapier_webhook/subscribe

Creates a new webhook subscription for a Zapier workflow

application/json

Body Required

  • hook_url string(uri) Required

    Zapier webhook URL

  • product_id string Required

    Product identifier

  • api_key string Required

    API key for authentication

Responses

  • 200 application/json

    Webhook subscription created successfully

    Hide response attributes Show response attributes object
    • status string

      Values are success or error.

    • message string
  • 400

    Bad request - missing or malformed parameters

  • 401

    Unauthorized - invalid API key

POST /zapier_webhook/subscribe
curl \
 --request POST 'https://api.homespotter.com/zapier_webhook/subscribe?token=api_token_value' \
 --header "Content-Type: application/json" \
 --data '{"hook_url":"https://example.com","product_id":"string","api_key":"string"}'
Request examples
{
  "hook_url": "https://example.com",
  "product_id": "string",
  "api_key": "string"
}
Response examples (200)
{
  "status": "success",
  "message": "string"
}